using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using WordNetTools;

namespace SemanticMemory
{
    public static class SentenceAnalyser
    {
        //public string animalsFeaturesPath;

        public static string[] PrepareSentence(string sentence)
        {
            sentence = sentence.Trim();
            sentence = sentence.ToLower();
            return sentence.Split(' ');
        }

        public static SentenceType QualifySentence(string[] sentence)
        {
            if (sentence[0] == "disambiguate" || sentence[0] == "paraphrase" || sentence[0] == "ask") return SentenceType.Order;
            return SentenceType.DefaultConversation;
        }
    }

    public enum SentenceType : int {Order, DefaultConversation};
}
